#include <Servo.h>
#include "Trayectorias.h"
Servo servo1;
Servo servo2;
Servo servo3;
Servo servo4;
Servo servo5;

int n=77;


void setup() { //funcion q uso para inicializar variables, para determinar si mis pines son de entrada o salida, tambn para declarar las librerias q vaya a adjuntar
  servo1.attach(3);
  servo2.attach(9);
  servo3.attach(5);
  servo4.attach(6);
  servo5.attach(10);

  servo1.write(inicial[0]);// 0 grados
  servo2.write(inicial[1]);
  servo3.write(inicial[2]);
  servo4.write(inicial[3]);
  servo5.write(90);
  delay(3000);

}

void loop() {
  for (int i=0; i<n ; i++){
    servo1.write(horiz[i][0]);
    servo2.write(horiz[i][1]);
    servo3.write(horiz[i][2]);
    servo4.write(horiz[i][3]);
    delay(50);
  }
  delay(2000);
  for (int i=0; i<n ; i++){
    servo1.write(verti[i][0]);
    servo2.write(verti[i][1]);
    servo3.write(verti[i][2]);
    servo4.write(verti[i][3]);
    delay(50);
  }
  delay(2000);
  servo1.write(inicial[0]);// 0 grados
  servo2.write(inicial[1]);
  servo3.write(inicial[2]);
  servo4.write(inicial[3]);
  delay(2000);
}
